Example request
GET https://api.jupiter-erp.com/api/account/service-order-appointments
Code
curl -X GET 'https://api.jupiter-erp.com/api/account/service-order-appointments' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json'Parameters
| Name | In | Required | Description |
|---|---|---|---|
| service_order_id | query | no | Filter by service order. |
| contact_id | query | no | Filter by contact (via linked service order). |
| project_id | query | no | Filter by project (via linked service order). |
| service_contract_id | query | no | Filter by service contract (via linked service order). |
| status | query | no | — |
| assignee_account_user_id | query | no | — |
| starts_from | query | no | Filter appointments with starts_at on or after this date (Y-m-d). |
| starts_to | query | no | Filter appointments with starts_at on or before this date (Y-m-d). |
| order_by | query | no | — |
| #/components/parameters/OrderDirParameter | |||
| #/components/parameters/PerPageParameter | |||
| #/components/parameters/PageParameter | |||
Responses
200OK
| Field | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| data* | object[] | array Elements Scheduled dispatch / visit window for a service order (Gantt bar source)
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meta* | object |
|
Example response
{
"data": [
{
"id": 0,
"service_order_id": 0,
"service_order": {
"id": 0,
"formatted_number": "string",
"subject": "string",
"service_location": "string",
"contact_name": "string",
"status": "open"
},
"starts_at": "2025-01-14T09:00:00",
"ends_at": "2025-01-14T17:00:00",
"assignee_account_user_id": 0,
"status": "planned"
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 1,
"items_from": 1,
"items_to": 1
}
}Service order appointments